package cn.estsh.i3plus.core.apiservice.serviceimpl.busi;

import cn.estsh.i3plus.core.api.iservice.busi.ISysUserPasswordService;
import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.platform.bean.SysUserPassword;
import cn.estsh.i3plus.pojo.platform.repository.SysUserPasswordRepository;
import cn.estsh.impp.framework.base.service.CrudService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-6-4 下午3:49
 * @Modify:
 **/
@Primary
@Service
public class SysUserSavePasswordService extends CrudService<SysUserPassword> implements ISysUserPasswordService {

    @Autowired
    private SysUserPasswordRepository userPasswordRDao;


    @Override
    public BaseRepository<SysUserPassword, Long> getRepository() {
        return userPasswordRDao;
    }

}
